Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.graphics.positionpaint.labelicons
Class StarIcon

    java.lang.Object
      info.bioinfweb.treegraph.graphics.positionpaint.labelicons.ShapeLabelIcon
          info.bioinfweb.treegraph.graphics.positionpaint.labelicons.StarIcon

All Implemented Interfaces:
  LabelIcon

    public class StarIcon

extends ShapeLabelIcon
implements LabelIcon

Since:
  2.0.25
Author:
  Ben Stöver

Field Summary
`static float` | `COS_RAY_36`
`static float` | `COS_RAY_72`
`static String` | `ID`
`static float` | `LENGTH_BETWEEN_RAYS_FACTOR`
`static double` | `RAY_ANGLE`
`static float` | `SIN_RAY_36`
`static float` | `SIN_RAY_72`

Constructor Summary
`StarIcon()`

Method Summary
`Shape` | `getShape(float x, float y, IconLabelFormats formats, float pixelsPerMillimeter)`
`String` | `id()`

Methods inherited from class info.bioinfweb.treegraph.graphics.positionpaint.labelicons.ShapeLabelIcon
`paint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.graphics.positionpaint.labelicons.LabelIcon
`paint`

Field Detail

### ID

    public static final String ID

See Also:
  Constant Field Values

### RAY_ANGLE

    public static final double RAY_ANGLE

See Also:
  Constant Field Values

### SIN_RAY_72

    public static final float SIN_RAY_72

### COS_RAY_72

    public static final float COS_RAY_72

### SIN_RAY_36

    public static final float SIN_RAY_36

### COS_RAY_36

    public static final float COS_RAY_36

### LENGTH_BETWEEN_RAYS_FACTOR

    public static final float LENGTH_BETWEEN_RAYS_FACTOR

See Also:
  Constant Field Values

Constructor Detail

### StarIcon

    public StarIcon()

Method Detail

### getShape

    public Shape getShape(float x,
                          float y,
                          IconLabelFormats formats,
                          float pixelsPerMillimeter)

  Specified by:
    `getShape` in class `ShapeLabelIcon`

### id

    public String id()

  Specified by:
    `id` in interface `LabelIcon`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD